eClipse import Spring之后出现的问题

Arthur1977 发布于 2014/07/12 18:54
阅读 1K+
收藏 0

你好,我的 eClipse kepler 版的 ,

Spring 的下载网址是 https://github.com/spring-projects/spring-framework

jdk 版本是 8 , java -version 指令显示版本号码是 1.8.0_05

我在 Spring 下载解压缩之后  , 执行 Spring 目录中的 gradlew.bat 显示 Success Build

接着执行 Spring 目录中的 import-into-eclipse.bat , 也显示 成功安装完成 (You're ready to code! Goodbye!)

但是当我在 eClipse 中进行 Import -> General -> Existing Projects into Workspace  之后 , eClipse

Project Explorer 窗口中有出现 Spring 的套件与类别 , 但是在  eClipse 下方的 Markers 窗口却出现以下的错误讯息:

 -----------------------------------------------------------------------------------------------------------------

Project 'spring' is missing required Java project: 'spring-webmvc-tiles3'

Project 'spring' is missing required Java project: 'spring-test'

Project 'spring' is missing required Java project: 'spring-tx'

Project 'spring' is missing required Java project: 'spring-web'

Project 'spring' is missing required Java project: 'spring-webmvc-portlet'

Project 'spring' is missing required Java project: 'spring-instrument'

Project 'spring' is missing required Java project: 'spring-oxm'

Project 'spring' is missing required Java project: 'spring-context-support'

Project 'spring' is missing required Java project: 'spring-webmvc'

Project 'spring' is missing required Java project: 'spring-aop'

Project 'spring' is missing required Java project: 'spring-beans'

Project 'spring' is missing required Java project: 'spring-context'

Project 'spring' is missing required Java project: 'spring-core'

Project 'spring' is missing required Java project: 'spring-expression'

Project 'spring' is missing required Java project: 'spring-jdbc'

Project 'spring' is missing required Java project: 'spring-orm'

-----------------------------------------------------------------------------------------------------------------

看样子我并没有成功的把 Spring 放进去 eClipse 中让程序使用。

有人知道该如何解决吗?
加载中
0
p
prehonor
记得勾选这个选项啊
返回顶部
顶部